Chuyển đến nội dung
Diễn đàn CADViet

Lethuongtri

Thành viên
  • Số lượng nội dung

    14
  • Đã tham gia

  • Lần ghé thăm cuối

Bài đăng được đăng bởi Lethuongtri


  1. Xin chào mọi người , em đang có vấn đề như bên dưới.

    Ở autocad em đã viết 1 lệnh vẽ( viết bằng autolips) khi bắt đầu vẽ sẽ khai báo:

     

    -Chọn điểm vẽ.

    -Nhập chiều cao

    -Nhập chiều rộng.

    -Nhập bề dày.

    .....vv

     

    Tuy nhiên do yêu cầu quản lý dự án các thông tin về chiều cao, rộng...vv em đang quản lý trên 1 file excel .

    Do đó khi làm phải nhìn thông tin dữ liệu bên excel và nhập vào autocad.

     

    =>Em mong muốn dùng VBA để truy xuất thông tin từ file excel đã có sẳn để nhập tự động vào chương trình autolips vẽ trên thì có được không ạ.

    Và nếu được thì cách thức tiến hành thế nào ạ?

     

    Mong mọi người hướng dẫn.

    Xin cảm ơn.


  2. Chào mọi người, em là thành viên mới.

    Mọi người cho em hỏi, trong autolips có cách nào để tự động kết nối nhanh các đối tượng line, arc ...vv liên tiếp nhau thành 1 polyline bằng cách click vào 1 đối tượng bất kỳ trong nhóm đó không ạ.

    Bản chất autocad có lệnh join để làm tuy nhiên lệnh này phải chọn các đối tượng muốn join nên nếu số lượng đối tượng nhiều thì hơi bất tiện.

    Nhờ mọi người chỉ giáo ạ. 

    Em xin cảm ơn !


  3. Dạ em làm được rồi, cảm ơn mọi người.

    Tiện thể mọi người cho em hỏi. Trong autolips có cách nào lấy được tọa độ của 2 điểm mủi tên của kích thước ( kích thước dạng rotate dim hoặc align dim) ko ạ ?

    Nếu dùng Dxf code 10 thì chỉ lấy dc 1 đầu thôi .Còn dxf code 11 thì lại là tọa độ của text kích thước.

    Nhờ mọi người chỉ giáo ạ.

    Em xin cảm ơn !

     


  4. Dạ các anh cho em hỏi , em đang viết một lips mà cho phép chon các đối tượng dim bằng lệnh power dim( autocad mechanical).Sau đó thay đổi tỷ lệ các dim style này.

     

    Tuy nhiên hiện tại nó đang bị lỗi "bad SSGET list value" .Nhờ các anh hướng dẫn em cách khắc phục với ạ.

     

    Em cảm ơn.

     

    (defun c:SD (/ a b)
      (setq a (ssget "x"
             '((0 . "DIMENSION")
               (-4 "<OR") 
               (3 . "AM_JIS$0")
               (3 . "AM_JIS$1")
               (3 . "AM_JIS$2")
               (3 . "AM_JIS$3")
               (3 . "AM_JIS$4")
               (3 . "AM_JIS$5")
               (3 . "AM_JIS$6")
               (3 . "AM_JIS$7")
               (-4 "OR>")
               )
             )
        ) 
      (setq b (getreal "\n nhap ti le:"))
      (command "amsymscale" b)
      (command "amrescale" "" a "")
      (princ)
      )


  5. Cảm ơn bạn alips nha , mình chỉnh rồi mà ko dc.

     

    Cảm ơn bạn NTHAHT nhiều nha, mình làm theo cách của bạn và đã ok rồi .

     

    Tuy nhiên mình không hiểu cái cách chuyển đổi từ 長孔-> \U+9577\U+5B54 là theo quy tắc hay bản mã nào vậy ạ. Bạn có thể chỉ cho mình dc ko.

     

    Do đôi lúc mình còn có nhu cầu đánh một số text nhật khác vào autolips như センター hay ピッチ hay một số ký hiệu đặc biệt như θ ...vv

     

    Cảm ơn bạn nhiều lắm. 


  6. Bạn Duong Nhat Duy cho mình hỏi .Đoạn code phía dưới không biết vì lý do gì mà bị lỗi ko thực hiện được.

     

    (DEFUN C:D6 (/ A B)
    (SETQ A (GETPOINT "\n CHON DIEM DAT 1:"))
    (SETQ B (GETPOINT A "\n CHON DIEM DAT 2:"))
    (COMMAND "LEADER" A B "" "" "" "1x2-16x26長孔" "")
    (PRINC)

     

    mình có thử đổi cái text 長孔 thành 1 text abc hay cde gì đó thì ok ko có lỗi. Do đó mình nghĩ vấn đề nằm ở cái text nhật kia.

    Tuy nhiên do tính chất công việc mình vẫn mong muốn sau khi kết thúc lệnh phải xuất ra được leader có text là 1x2-16x26長孔 .

    Nhờ bạn chỉ giáo nha.

     

    Xin cảm ơn.


  7. Dạ  chào các anh chị, em là member mới

     

    em có vấn đề này muốn nhờ các anh chị giúp đỡ.

     

    Công việc của em hay cần phải dim ra kích thước giá trị góc( bằng độ phút giây) .

     

    Sau đó thì click chuột vào kích thước này copy nội dung và cho vào 1 text nào đó.

     

    Em cần một autolips mà cho phép em chọn 3 điểm hoặc 2 đường thẳng( để xác định góc đo)  , sau đó bấm enter , rồi click chọn một điểm bất kỳ trên màng hình thì text thể hiện giá trị góc độ sẽ hiện ra luôn .

     

    Em cảm ơn.

×